Package twisted :: Package im :: Module pbsupport

[show private | hide private]
[frames | no frames]

## Module twisted.im.pbsupport

`twisted.words` support for Instance Messenger.

Classes
`PBAccount` |
`TwistedWordsClient` | In some cases, this acts as an Account, since it a source of text messages (multiple Words instances may be on a single PB connection)
`TwistedWordsGroup` |
`TwistedWordsPerson` | I a facade for a person you can talk to through a twisted.words service.

Variable Summary
`Enum` | `AWAY`
`_Feature` | `nested_scopes`
`Enum` | `OFFLINE`
`Enum` | `ONLINE`
`dict` | `pbFrontEnds`

Variable Details

### AWAY

  Type:
    `Enum`
  Value:

        <None: Away>

### nested_scopes

  Type:
    `_Feature`
  Value:

        _Feature((2, 1, 0, 'beta', 1), (2, 2, 0, 'alpha', 0), 16)

### OFFLINE

  Type:
    `Enum`
  Value:

        <None: Offline>

### ONLINE

  Type:
    `Enum`
  Value:

        <None: Online>

### pbFrontEnds

  Type:
    `dict`
  Value:

        {'twisted.reality': None,
         'twisted.words': <class twisted.im.pbsupport.TwistedWordsClient at 0x\
        85b2e94>}

Generated by Epydoc 1.1 on Thu May 8 13:16:26 2003 | http://epydoc.sf.net